%global debug_package %{nil}

%global backup pg-backup
%global compress pg-compress

Name:           pg-util
Version:        1.2.9
Release:        0%{?dist}
Summary:        PostgreSQL Utility Scripts

License:        ASL 1.0
URL:            http://example.com
Source0:        %{name}-%{version}.tar.xz
Source1:        %{backup}.service
Source2:        %{backup}.timer
Source3:        %{backup}.sysconfig
Source4:        %{compress}.service
Source5:        %{compress}.timer
Source6:        %{compress}.sysconfig

%{?systemd_requires}
BuildRequires:  systemd

Obsoletes:      pgsql-util < 1.1.0

%description
Utility scripts for use with PostgreSQL.

%prep
%setup -q

%build

%post
%systemd_post %{backup}.timer
%systemd_post %{compress}.timer

%preun
%systemd_preun %{backup}.timer
%systemd_preun %{compress}.timer

%postun
%systemd_postun_with_restart %{backup}.timer
%systemd_postun_with_restart %{compress}.timer

%install

install -pd %{buildroot}/%{_bindir}/
install -p -m 0755 %{backup} %{buildroot}/%{_bindir}
install -p -m 0755 %{compress} %{buildroot}/%{_bindir}
install -p -m 0755 pg-keepfiles %{buildroot}/%{_bindir}

install -pd %{buildroot}/%{_unitdir}/
install -p -m 0644 %{SOURCE1} %{buildroot}/%{_unitdir}
install -p -m 0644 %{SOURCE2} %{buildroot}/%{_unitdir}
install -p -m 0644 %{SOURCE4} %{buildroot}/%{_unitdir}
install -p -m 0644 %{SOURCE5} %{buildroot}/%{_unitdir}

install -pd %{buildroot}/%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/sysconfig/%{backup}
install -p -m 0644 %{SOURCE6} %{buildroot}/%{_sysconfdir}/sysconfig/%{compress}

%files
%{_bindir}/%{backup}
%{_bindir}/%{compress}
%{_bindir}/pg-keepfiles

%config %{_unitdir}/%{backup}.service
%config %{_unitdir}/%{backup}.timer
%config(noreplace) %{_sysconfdir}/sysconfig/%{backup}

%config %{_unitdir}/%{compress}.service
%config %{_unitdir}/%{compress}.timer
%config(noreplace) %{_sysconfdir}/sysconfig/%{compress}

%doc README.md

%changelog
